Bug Hunting Session
Bug 55525 - Table in RTF document imported with wrong column-width and left indent
Summary: Table in RTF document imported with wrong column-width and left indent
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:4.0.0 target:3.6.5
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-10-02 07:50 UTC by Cor Nouws
Modified: 2013-11-16 15:52 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
original rtf document (23.79 KB, application/rtf)
2012-10-02 07:50 UTC, Cor Nouws
Details
as openend in 3.4.6 (24.84 KB, application/pdf)
2012-10-02 07:52 UTC, Cor Nouws
Details
as opened in 3.5.7 / 3.6.2 (25.30 KB, application/pdf)
2012-10-02 07:52 UTC, Cor Nouws
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2012-10-02 07:50:41 UTC
Created attachment 67968 [details]
original rtf document

See attachment Letter_Evaluatie_clean.rtf

Open in 3.4: Letter_Evaluatie_clean_346.pdf
Open in 3.5: Letter_Evaluatie_clean_357.pdf

(Names of tables as openend in 3.3.4/3.4.6!)
Table 3 :  left colum to small
Table 4 :  left indent lost
Table 5 :  left colum to small
Table 6 :  left indent lost

See Letter_Voorbeeld_Clean.rtf

Open in 3.4: Letter_Voorbeeld_Clean_346.pdf
Open in 3.5: Letter_Voorbeeld_Clean_357.pdf
Table 2 :  left indent lost
Table 8/9 : left indent of second part of table lost
Table 10 :  left indent lost  / left colum to small

I've checked the situation in 3.6.2rc2 and it's still incorrect there.
Comment 1 Cor Nouws 2012-10-02 07:52:24 UTC
Created attachment 67969 [details]
as openend in 3.4.6
Comment 2 Cor Nouws 2012-10-02 07:52:52 UTC
Created attachment 67970 [details]
as opened in 3.5.7 /  3.6.2
Comment 3 Cor Nouws 2012-10-02 07:57:12 UTC
Was ok in 3.4.x and 3.3.x
Comment 4 Cor Nouws 2012-10-18 14:35:04 UTC
looks as if there is no parsing for \trql and \trleft-70 in rtfdocumentimpl.cxx
(line 76 in 1st attachment original rtf document)
Comment 5 Miklos Vajna 2012-11-13 17:16:07 UTC
Assign to me. Actually \trql is the Writer default, so that's not a big problem, but \trleft indeed needs handling. I'll fix this in a bit.
Comment 6 Not Assigned 2012-11-14 08:48:28 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c4b91ae3178011c66c76c711c1a6469ba658872e

fdo#55525 import RTF_TRLEFT



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Miklos Vajna 2012-11-14 10:28:54 UTC
Resolved in master, -3-6 review: https://gerrit.libreoffice.org/1058
Comment 8 Not Assigned 2012-11-14 11:11:32 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2ebbfbb64ea0c1034e3d62e63d4212399b8651d6&g=libreoffice-3-6

fdo#55525 import RTF_TRLEFT


It will be available in LibreOffice 3.6.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Cor Nouws 2012-11-14 18:13:43 UTC
(In reply to comment #7)
> Resolved in master, -3-6 review: https://gerrit.libreoffice.org/1058

thanks Miklos :-)